package controllers

import (
	"net/http"

	"git.kirsle.net/apps/gophertype/pkg/glue"
	"git.kirsle.net/apps/gophertype/pkg/middleware"
	"git.kirsle.net/apps/gophertype/pkg/responses"
	"github.com/gorilla/mux"
)

func init() {
	glue.Register(glue.Endpoint{
		Path: "/admin/setup",
		Middleware: []mux.MiddlewareFunc{
			middleware.ExampleMiddleware,
		},
		Handler: func(w http.ResponseWriter, r *http.Request) {
			responses.RenderTemplate(w, "_builtin/initial_setup.gohtml", nil)
		},
	})

}
